From 73ae168ef52931f50ece40a43e10829733d0cf62 Mon Sep 17 00:00:00 2001
From: Aleksander Alekseev <aleksander@timescale.com>
Date: Fri, 19 Apr 2024 13:13:26 +0300
Subject: [PATCH v1] Remove mention of @ and ~ operators

These operators were removed by 2f70fdb0644c back in 2020 but section
"Built-in Operator Classes" was still mentioning them.

Aleksander Alekseev, reported by Colin Caine, reviewed by TODO FIXME
Discussion: https://postgr.es/m/CADwQTQbbr2UQ_fpbyc%2B8ay%3DRwEYgYk%3DTZxH3%2BRHDqAQfoG%2BEWA%40mail.gmail.com
---
 doc/src/sgml/gist.sgml | 18 ++++++------------
 1 file changed, 6 insertions(+), 12 deletions(-)

diff --git a/doc/src/sgml/gist.sgml b/doc/src/sgml/gist.sgml
index 3f7df103b8..dcf9433fa7 100644
--- a/doc/src/sgml/gist.sgml
+++ b/doc/src/sgml/gist.sgml
@@ -66,9 +66,9 @@
     </thead>
     <tbody>
      <row>
-      <entry valign="middle" morerows="13"><literal>box_ops</literal></entry>
+      <entry valign="middle" morerows="11"><literal>box_ops</literal></entry>
       <entry><literal>&lt;&lt; (box, box)</literal></entry>
-      <entry valign="middle" morerows="13"><literal>&lt;-&gt; (box, point)</literal></entry>
+      <entry valign="middle" morerows="11"><literal>&lt;-&gt; (box, point)</literal></entry>
      </row>
      <row><entry><literal>&amp;&lt; (box, box)</literal></entry></row>
      <row><entry><literal>&amp;&amp; (box, box)</literal></entry></row>
@@ -81,13 +81,11 @@
      <row><entry><literal>&lt;&lt;| (box, box)</literal></entry></row>
      <row><entry><literal>|&gt;&gt; (box, box)</literal></entry></row>
      <row><entry><literal>|&amp;&gt; (box, box)</literal></entry></row>
-     <row><entry><literal>~ (box, box)</literal></entry></row>
-     <row><entry><literal>@ (box, box)</literal></entry></row>
 
      <row>
-      <entry valign="middle" morerows="13"><literal>circle_ops</literal></entry>
+      <entry valign="middle" morerows="11"><literal>circle_ops</literal></entry>
       <entry><literal>&lt;&lt; (circle, circle)</literal></entry>
-      <entry valign="middle" morerows="13"><literal>&lt;-&gt; (circle, point)</literal></entry>
+      <entry valign="middle" morerows="11"><literal>&lt;-&gt; (circle, point)</literal></entry>
      </row>
      <row><entry><literal>&amp;&lt; (circle, circle)</literal></entry></row>
      <row><entry><literal>&amp;&gt; (circle, circle)</literal></entry></row>
@@ -100,8 +98,6 @@
      <row><entry><literal>&lt;&lt;| (circle, circle)</literal></entry></row>
      <row><entry><literal>&amp;&lt;| (circle, circle)</literal></entry></row>
      <row><entry><literal>|&amp;&gt; (circle, circle)</literal></entry></row>
-     <row><entry><literal>@ (circle, circle)</literal></entry></row>
-     <row><entry><literal>~ (circle, circle)</literal></entry></row>
 
      <row>
       <entry valign="middle" morerows="10"><literal>inet_ops</literal></entry>
@@ -156,9 +152,9 @@
      <row><entry><literal>&lt;@ (point, circle)</literal></entry></row>
 
      <row>
-      <entry valign="middle" morerows="13"><literal>poly_ops</literal></entry>
+      <entry valign="middle" morerows="11"><literal>poly_ops</literal></entry>
       <entry><literal>&lt;&lt; (polygon, polygon)</literal></entry>
-      <entry valign="middle" morerows="13"><literal>&lt;-&gt; (polygon, point)</literal></entry>
+      <entry valign="middle" morerows="11"><literal>&lt;-&gt; (polygon, point)</literal></entry>
      </row>
      <row><entry><literal>&amp;&lt; (polygon, polygon)</literal></entry></row>
      <row><entry><literal>&amp;&gt; (polygon, polygon)</literal></entry></row>
@@ -171,8 +167,6 @@
      <row><entry><literal>&amp;&lt;| (polygon, polygon)</literal></entry></row>
      <row><entry><literal>|&amp;&gt; (polygon, polygon)</literal></entry></row>
      <row><entry><literal>|&gt;&gt; (polygon, polygon)</literal></entry></row>
-     <row><entry><literal>@ (polygon, polygon)</literal></entry></row>
-     <row><entry><literal>~ (polygon, polygon)</literal></entry></row>
 
      <row>
       <entry valign="middle" morerows="17"><literal>range_ops</literal></entry>
-- 
2.44.0

